Skip to Content
Internet top up

List internet top-ups

GET
/v3/internet/list

Internet top-ups sent with your API keys, newest first. topups repeats items for clients migrating from other v3 APIs.

Authorization

AccessToken
headerX-Access-Token<token>

Your API key. Sandbox keys start with flx_test_, production keys with flx_live_.

Query Parameters

page?integer

Page number, starting at 1.

Range1 <= value
Default1
pageSize?integer

Items per page (1-100).

Range1 <= value <= 100
Default20
from?string

Start of the date range (ISO 8601). Send together with to.

Formatdate-time
to?string

End of the date range (ISO 8601). Send together with from.

Formatdate-time

Response Body

A page of top-ups

application/json
  1. response
success*true
Value intrue
data*
meta*
requestId*string
Example Request
curl -X GET 'https://api.flexyliktelecom.com/v3/internet/list'
Example Response
{  "success": true,  "data": {    "items": [      {        "_id": "T00045678",        "ref": "order-10294",        "status": "HANDLING",        "type": "ADSL",        "number": "030000009",        "topup_amount": 1000,        "balance_amount": 1000,        "card_name": "string",        "card_code": "string",        "serial_number": "string",        "num_trans": "string",        "refund_message": "string",        "manual_message": "string",        "created_at": "2026-11-15T10:31:00.000Z"      }    ],    "topups": [      {        "_id": "T00045678",        "ref": "order-10294",        "status": "HANDLING",        "type": "ADSL",        "number": "030000009",        "topup_amount": 1000,        "balance_amount": 1000,        "card_name": "string",        "card_code": "string",        "serial_number": "string",        "num_trans": "string",        "refund_message": "string",        "manual_message": "string",        "created_at": "2026-11-15T10:31:00.000Z"      }    ],    "pagination": {      "page": 1,      "pageSize": 20,      "totalPages": 3,      "totalResults": 47    }  },  "meta": {    "timestamp": "2026-11-15T10:30:00.000Z"  },  "requestId": "req_8fK2mQx7Lp0aZ3nV1cWb"}